Subject: Re: [PATCH net-next v3 0/9] add support for per action hw stats

From: Jakub Kicinski <[email-masked]>
Date: Tue, 7 Feb 2023 21:29:20 -0800

On Mon, 6 Feb 2023 15:54:33 +0200 Oz Shlomo wrote:
> There are currently two mechanisms for populating hardware stats:
> 1. Using flow_offload api to query the flow's statistics.
>    The api assumes that the same stats values apply to all
>    the flow's actions.
>    This assumption breaks when action drops or jumps over following
>    actions.
> 2. Using hw_action api to query specific action stats via a driver
>    callback method. This api assures the correct action stats for
>    the offloaded action, however, it does not apply to the rest of the
>    actions in the flow's actions array, as elaborated below.

Mercelo would you like to review this one as well or it's of lesser
interest?